Package org.apache.lucene.benchmark.byTask.feeds

## Class LineDocSource.HeaderLineParser

- java.lang.Object
- - org.apache.lucene.benchmark.byTask.feeds.LineDocSource.LineParser
  - - org.apache.lucene.benchmark.byTask.feeds.LineDocSource.HeaderLineParser

- Enclosing class:
    LineDocSource

      public static class LineDocSource.HeaderLineParser
      extends LineDocSource.LineParser

  `LineDocSource.LineParser` which sets field names and order by the header - any header - of the lines file. It is less efficient than `LineDocSource.SimpleLineParser` but more powerful.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.benchmark.byTask.feeds.LineDocSource.LineParser

      `header`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HeaderLineParser​(String[] header)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `parseLine​(DocData docData, String line)` | parse an input line and fill doc data appropriately

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HeaderLineParser

          public HeaderLineParser​(String[] header)

  - ### Method Detail

    - #### parseLine

          public void parseLine​(DocData docData,
                                String line)

      Description copied from class: `LineDocSource.LineParser`
      parse an input line and fill doc data appropriately
      Specified by:
        `parseLine` in class `LineDocSource.LineParser`